/** ============================================================================
 *  @file   constants.h
 *
 *  @path   $(DSPLINK)/gpp/src/inc/usr/
 *
 *  @desc   Defines the type system for DSP/BIOS Link
 *
 *  @ver    1.65.00.02
 *  ============================================================================
 *  Copyright (C) 2002-2009, Texas Instruments Incorporated - http://www.ti.com/
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by the
 *  Free Software Foundation version 2.
 *  
 *  This program is distributed "as is" WITHOUT ANY WARRANTY of any kind,
 *  whether express or implied; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  General Public License for more details.
 *  ============================================================================
 */


#if !defined (CONSTANTS_H)
#define CONSTANTS_H


#if defined (__cplusplus)
extern "C" {
#endif /* defined (__cplusplus) */


/** ============================================================================
 *  @const  DSP_MAX_STRLEN
 *
 *  @desc   Maximum length of string.
 *  ============================================================================
 */
#define DSP_MAX_STRLEN      32u


#if defined (__cplusplus)
}
#endif /* defined (__cplusplus) */

#endif  /* !defined (CONSTANTS_H) */
