/** ============================================================================
 *  @file   version.h
 *
 *  @path   $(DSPLINK)/gpp/src/inc/usr/
 *
 *  @desc   Contains the version information for DSP/BIOS(TM) LINK.
 *
 *  @ver    1.65.00.02
 *  ============================================================================
 *  Copyright (C) 2002-2009, Texas Instruments Incorporated - http://www.ti.com/
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by the
 *  Free Software Foundation version 2.
 *  
 *  This program is distributed "as is" WITHOUT ANY WARRANTY of any kind,
 *  whether express or implied; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  General Public License for more details.
 *  ============================================================================
 */





#if !defined (VERSION_H)

#define VERSION_H




#if defined (__cplusplus)

extern "C" {

#endif





/*  ============================================================================
 *  @const  DSPLINK_VERSION
 *
 *  @desc   The version number for DSP/BIOS(TM) LINK.
 *  ============================================================================
 */

#define DSPLINK_VERSION        "1.65.00.02"





#if defined (__cplusplus)

}

#endif





#endif /* !defined (VERSION_H) */

